From c8870b82954fd5535fbecf4cde6a0f279fd25eae Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 09 2020 15:44:39 +0000
Subject: [PATCH 868/2232] Add missing dependencies of Error


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 68d8775..8cc1b1b 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -214,6 +214,8 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
             Api::RustFunction(efn) if !out.header => {
                 if efn.throws {
                     out.include.exception = true;
+                    out.include.string = true;
+                    needs_rust_str = true;
                     needs_rust_error = true;
                 }
                 for arg in &efn.args {

